## org.eclipse.emf.mapping.action
Class CreateOneSidedMappingAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.emf.mapping.action.CreateOneSidedMappingAction

All Implemented Interfaces:
  CommandStackListener, IActionDelegate, IActionDelegate2, IEditorActionDelegate, IViewActionDelegate

    public class CreateOneSidedMappingAction

extends CommandAction
implements CommandStackListener

Nested Class Summary
`static class` `CreateOneSidedMappingAction.DelegateCommand`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`CreateOneSidedMappingAction()`

Method Summary
`void` `commandStackChanged(java.util.EventObject event)` Called when the `CommandStack`'s state has changed.
`protected Command` `createActionCommand(EditingDomain editingDomain, java.util.Collection<?> collection)` Create the command for this action
`protected java.lang.Object` `getDefaultImage()` This returns the image that is used if the command does not provide an override.
`protected ImageDescriptor` `objectToImageDescriptor(java.lang.Object object)`
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)` This records the specified workbench part, and if it is an editing domain provider, its editing domain.

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`dispose, getDefaultImageDescriptor, init, init, run, runWithEvent, selectionChanged, setActiveEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateOneSidedMappingAction

    public CreateOneSidedMappingAction()

Method Detail

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Description copied from class: `CommandAction`
  This records the specified workbench part, and if it is an editing domain provider, its editing domain.

  Overrides:
    `setActiveWorkbenchPart` in class `CommandAction`

### commandStackChanged

    public void commandStackChanged(java.util.EventObject event)

  Description copied from interface: `CommandStackListener`
  Called when the `CommandStack`'s state has changed.

  Specified by:
    `commandStackChanged` in interface `CommandStackListener`
  Parameters:
    `event` - the event.

### getDefaultImage

    protected java.lang.Object getDefaultImage()

  This returns the image that is used if the command does not provide an override.

### objectToImageDescriptor

    protected ImageDescriptor objectToImageDescriptor(java.lang.Object object)

  Overrides:
    `objectToImageDescriptor` in class `CommandAction`

### createActionCommand

    protected Command createActionCommand(EditingDomain editingDomain,
                                          java.util.Collection<?> collection)

  Create the command for this action

  Overrides:
    `createActionCommand` in class `CommandAction`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.